## usplash-theme-ubuntu 0.18ubuntu0netbook1

=== Makefile ===
CC=gcc
CFLAGS=-g -Wall -fPIC
LDFLAGS=
INCLUDES=

COMPILE = $(CC) $(INCLUDES) $(CFLAGS)
LINK = $(CC) $(CFLAGS) $(LDFLAGS)

INSTALL = /usr/bin/install -c
INSTALL_DATA = $(INSTALL) -m 644
INSTALL_PROGRAM = $(INSTALL) -m 755

usplash-theme-ubuntu.so: throbber_back.png.c.o throbber_back_16.png.c.o throbber_fore.png.c.o throbber_fore_16.png.c.o \
						 usplash_1024_768.png.c.o usplash_1365_768_scaled.png.c.o usplash_800_600.png.c.o \
						 usplash_640_400.png.c.o usplash_640_480.png.c.o usplash-theme-ubuntu.c.o
	$(COMPILE) -shared -o $@ $^

%.png.c: %.png
	pngtousplash $< > $@

%.bdf.c: %.bdf
	bdftousplash $< > $@

%.c.o: %.c
	$(COMPILE) -o $@ -c $<

install:
	$(INSTALL) -d $(DESTDIR)/usr/lib/usplash
	$(INSTALL_PROGRAM) usplash-theme-ubuntu.so $(DESTDIR)/usr/lib/usplash/usplash-theme-ubuntu.so
clean:
	rm -f *.png.c *.bdf.c *.c.o *.so

## usplash-theme-ubuntu 0.6

=== debian/changelog ===
usplash-theme-ubuntu (0.6) edgy; urgency=low

  * Remove stray '/*' in 640x400 theme definition that caused the progress
    bar definition to be commented out, and thus the values set to zero.

 -- Scott James Remnant <scott@ubuntu.com>  Wed, 25 Oct 2006 09:02:22 +0100

usplash-theme-ubuntu (0.5) edgy; urgency=low

  * Center the throbber in 640x400 and 640x480 modes too.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Mon, 23 Oct 2006 13:52:33 +0200

usplash-theme-ubuntu (0.4) edgy; urgency=low

  * Artwork tweak from Frank Schoep to make the backgrounds properly black
    (closes: Malone #66107).
  * Add debian/copyright: licence is CC-SA per Frank Schoep on IRC.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 21 Oct 2006 01:15:05 +0100

usplash-theme-ubuntu (0.3) edgy; urgency=low

  * Update to new artwork.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Fri, 20 Oct 2006 16:23:52 +0200

usplash-theme-ubuntu (0.2) edgy; urgency=low

  * Add 640x400 theme from dapper.  Hack the progressbar functions so they
    look slightly less bad than they'd otherwise do.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Tue, 17 Oct 2006 02:26:48 +0200

usplash-theme-ubuntu (0.1-1) edgy; urgency=low

  * Initial release - this theme is nowhere near final!

 -- Dennis Kaarsemaker <dennis@kaarsemaker.net>  Fri,  8 Sep 2006 19:45:01 +0200

=== debian/control ===
Source: usplash-theme-ubuntu
Priority: optional
Section: misc
Maintainer: Dennis Kaarsemaker <dennis@ubuntu.com>
Standards-Version: 3.6.2.1
Build-Depends: debhelper (>= 5.0.0), usplash-dev

Package: usplash-theme-ubuntu
Architecture: i386 powerpc amd64
Depends: ${shlibs:Depends}, initramfs-tools (>= 0.40ubuntu30), usplash (>= 0.4-21)
Description: Usplash theme for Ubuntu
 Usplash theme for Ubuntu

## usplash-theme-ubuntu 0.14

=== debian/changelog ===
usplash-theme-ubuntu (0.14) feisty; urgency=low

  * [Kenneth Wimer]
    - Fixing bug in throbber_fore.png 
  * [Daniel Holbach]
    - debian/control:
      - bumped Standards-Version.
    - debian/postrm:
      - add #DEBHELPER# tag.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Thu,  5 Apr 2007 17:20:09 +0200

usplash-theme-ubuntu (0.13) feisty; urgency=low

  [ Dennis Kaarsemaker ]
  * Fix broken palette indices. Some colors were just unreadable and some
    color indices pointed outside the palette which could cause crashes.

  [ Martin Pitt ]
  * debian/control: Fix build dependency for the usplash-dev ->
    libusplash-dev rename.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 19 Mar 2007 09:27:15 +0100

usplash-theme-ubuntu (0.12) feisty; urgency=low

  * updating the pics to final version - yippee! 

 -- Kenneth Wimer <wimer@kde.org>  Wed, 14 Feb 2007 08:12:22 +0100

usplash-theme-ubuntu (0.11) feisty; urgency=low

  * updating pics again

 -- Kenneth Wimer <wimer@kde.org>  Tue, 13 Feb 2007 16:05:39 +0100

usplash-theme-ubuntu (0.10) feisty; urgency=low

  * adding new pics for background and progress bar

 -- Kenneth Wimer <wimer@kde.org>  Tue, 13 Feb 2007 13:06:34 +0100

usplash-theme-ubuntu (0.9) feisty; urgency=low

  * updating background pics and scrollbar

 -- Kenneth Wimer <wimer@kde.org>  Mon, 12 Feb 2007 17:10:57 +0100

usplash-theme-ubuntu (0.8) feisty; urgency=low

  * updating pics for feisty

 -- Kenneth Wimer <wimer@kde.org>  Thu,  8 Feb 2007 14:55:06 +0100

usplash-theme-ubuntu (0.7) feisty; urgency=low

  * Adding new bg pics for feisty
  * Adding new progress bar with more desktop-like background

 -- Kenneth Wimer <kenneth.wimer@ubuntu.com>  Thu,  8 Feb 2007 11:02:52 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Priority: optional
 Section: misc
 Maintainer: Dennis Kaarsemaker <dennis@ubuntu.com>
-Standards-Version: 3.6.2.1
-Build-Depends: debhelper (>= 5.0.0), usplash-dev
+Standards-Version: 3.7.2
+Build-Depends: debhelper (>= 5.0.0), libusplash-dev
 
 Package: usplash-theme-ubuntu
 Architecture: i386 powerpc amd64

## usplash-theme-ubuntu 0.17

=== debian/changelog ===
usplash-theme-ubuntu (0.17) gutsy; urgency=low

  * Ensure throbber is centred; Change all 'theme' resolution (except
    640x400x4) -> hardcoded 320px wide throbber, to match the pixmap.

 -- Paul Sladen <sladen@ubuntu.com>  Mon, 24 Sep 2007 17:14:09 +0300

usplash-theme-ubuntu (0.16) gutsy; urgency=low

  * Try to fix widescreen progress-bar misalignment;
    Change usplash_theme_1365_768_scaled so that:
    322+380+322 = 1024

 -- Paul Sladen <sladen@ubuntu.com>  Mon, 24 Sep 2007 17:14:09 +0300

usplash-theme-ubuntu (0.15) gutsy; urgency=low

  * Set Architecture to any, usplash works on sparc as well.

 -- Steve Kowalik <stevenk@debian.org>  Mon, 25 Jun 2007 17:22:38 +1000

## usplash-theme-ubuntu 0.18

=== debian/changelog ===
usplash-theme-ubuntu (0.18) hardy; urgency=low

  * Fix flickering of the progress bar. Thanks to Daniel Sargeant for the
    patch! (LP: #205854)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 01 Apr 2008 16:15:40 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 5.0.0), libusplash-dev
 
 Package: usplash-theme-ubuntu
-Architecture: i386 powerpc amd64
+Architecture: any
 Depends: ${shlibs:Depends}, initramfs-tools (>= 0.40ubuntu30), usplash (>= 0.4-21)
 Description: Usplash theme for Ubuntu
  Usplash theme for Ubuntu

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DH_OPTIONS

CFLAGS = -g -Wall

# Disable optimisations if noopt found in $DEB_BUILD_OPTIONS
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -Os
endif

# Build the package
build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	touch $@

# Install files
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/usplash-theme-ubuntu

binary: binary-indep binary-arch

# Build architecture-independent files here.
binary-indep:
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: DH_OPTIONS=-a
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb


# Clean up the mess we made
clean:
	dh_testdir
	rm -f build-stamp
	-$(MAKE) clean
	dh_clean

.PHONY: build install binary-indep binary-arch binary clean

## usplash-theme-ubuntu 0.18ubuntu0netbook1

=== debian/changelog ===
usplash-theme-ubuntu (0.18ubuntu0netbook1) hardy; urgency=low

  * Non-maintainer upload.
  * 50_reset_palette_usplash-theme-ubuntu.c.patch: Reset colormap

 -- Ying-Chun Liu (PaulLiu) <grandpaul@gmail.com>  Wed, 03 Sep 2008 09:49:28 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: misc
 Maintainer: Dennis Kaarsemaker <dennis@ubuntu.com>
 Standards-Version: 3.7.2
-Build-Depends: debhelper (>= 5.0.0), libusplash-dev
+Build-Depends: debhelper (>= 5.0.0), libusplash-dev, quilt
 
 Package: usplash-theme-ubuntu
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+include /usr/share/quilt/quilt.make
 
 export DH_OPTIONS
 
@@ -16,7 +18,7 @@
 
 # Build the package
 build: build-stamp
-build-stamp:
+build-stamp: $(QUILT_STAMPFN)
 	dh_testdir
 	$(MAKE)
 	touch $@
@@ -55,7 +57,7 @@
 
 
 # Clean up the mess we made
-clean:
+clean: unpatch
 	dh_testdir
 	rm -f build-stamp
 	-$(MAKE) clean

## usplash-theme-ubuntu 0.19

=== debian/changelog ===
usplash-theme-ubuntu (0.19) intrepid; urgency=low

  * No-change rebuild against current usplash which bumped THEME_VERSION.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 23 Jul 2008 19:50:18 +0200

## usplash-theme-ubuntu 0.23

=== Makefile ===
--- 
+++ 
@@ -11,8 +11,9 @@
 INSTALL_PROGRAM = $(INSTALL) -m 755
 
 usplash-theme-ubuntu.so: throbber_back.png.c.o throbber_back_16.png.c.o throbber_fore.png.c.o throbber_fore_16.png.c.o \
-						 usplash_1024_768.png.c.o usplash_1365_768_scaled.png.c.o usplash_800_600.png.c.o \
-						 usplash_640_400.png.c.o usplash_640_480.png.c.o usplash-theme-ubuntu.c.o
+						 throbber_back_32.png.c.o throbber_fore_32.png.c.o \
+						 usplash_300_200.png.c.o usplash_400_300.png.c.o usplash_600_500.png.c.o \
+						 usplash-theme-ubuntu.c.o
 	$(COMPILE) -shared -o $@ $^
 
 %.png.c: %.png

=== debian/changelog ===
usplash-theme-ubuntu (0.23) jaunty; urgency=low

  * usplash-theme-ubuntu.c, t_animate_step_{16,32}: Use the correct image's
    width for calculating the number of pulsating steps. Previously, this
    triggered integer, and thus buffer overflows, which caused screen
    corruption and sometimes complete corruption of the VTs. (LP: #345269)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 19 Mar 2009 22:03:02 +0100

usplash-theme-ubuntu (0.22) jaunty; urgency=low

  * debian/control: Add Vcs-Bzr: header.
  * Merge from ubuntu-art-pkg branch:
    - Final artwork for Jaunty.
    - Ship the logo in three sizes only, instead of one full background image
      for every resolution. Position the logo appropriately, and ship themes
      for just about every possible resolution.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 18 Mar 2009 09:29:09 +0100

usplash-theme-ubuntu (0.21) jaunty; urgency=low

  * Update for new usplash which supports explicit theme sizes and pixmap
    positions; see LP #64147 for details.
  * debian/control: Bump usplash dependencies to >= 0.5.30 (THEME_VERSION==4).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 04 Mar 2009 21:44:18 +0100

usplash-theme-ubuntu (0.20) jaunty; urgency=low

  * fix layout for big wide screens. (LP: #245437)

 -- Leonard Michlmayr <leonard.michlmayr@gmail.com>  Mon, 02 Feb 2009 10:31:55 +0100

## usplash-theme-ubuntu 0.23netbook2

=== debian/changelog ===
usplash-theme-ubuntu (0.23netbook2) netbook-jaunty; urgency=low

  * debian/changelog:
    - Insert missing changelog entry for original netbook
      revision.

 -- Gary Lasker <gary.lasker@canonical.com>  Fri, 03 Jul 2009 15:00:21 -0400

usplash-theme-ubuntu (0.23netbook1) netbook-jaunty; urgency=low

  * Merge from Hardy netbook-common (original work by Paul Liu)
  * debian/control:
    - Add bdep for quilt
  * debian/rules:
    - Add support for quilt
  * patches/50_reset_palette_usplash-theme-ubuntu.c.patch:
    - Add patch to reset color map at certain points on
      shutdown (LP: #252837)

 -- Gary Lasker <gary.lasker@canonical.com>  Thu, 02 Jul 2009 17:50:55 -0400

=== debian/control ===
Source: usplash-theme-ubuntu
Priority: optional
Section: misc
Maintainer: Dennis Kaarsemaker <dennis@ubuntu.com>
Standards-Version: 3.7.2
Build-Depends: debhelper (>= 5.0.0), libusplash-dev (>= 0.5.30), quilt
Vcs-Bzr: http://bazaar.launchpad.net/%7Eubuntu-core-dev/usplash-theme-ubuntu/ubuntu/

Package: usplash-theme-ubuntu
Architecture: any
Depends: ${shlibs:Depends}, initramfs-tools (>= 0.40ubuntu30), usplash (>= 0.5.30)
Description: Usplash theme for Ubuntu
 Usplash theme for Ubuntu

## usplash-theme-ubuntu 0.27

=== Makefile ===
--- 
+++ 
@@ -11,9 +11,9 @@
 INSTALL_PROGRAM = $(INSTALL) -m 755
 
 usplash-theme-ubuntu.so: throbber_back.png.c.o throbber_back_16.png.c.o throbber_fore.png.c.o throbber_fore_16.png.c.o \
-						 throbber_back_32.png.c.o throbber_fore_32.png.c.o \
-						 usplash_300_200.png.c.o usplash_400_300.png.c.o usplash_600_500.png.c.o \
-						 usplash-theme-ubuntu.c.o
+		 throbber_back_32.png.c.o throbber_fore_32.png.c.o \
+		 logo_xsmall.png.c.o logo_small.png.c.o logo_med.png.c.o logo_large.png.c.o logo_xlarge.png.c.o \
+		 usplash-theme-ubuntu.c.o
 	$(COMPILE) -shared -o $@ $^
 
 %.png.c: %.png

=== debian/changelog ===
usplash-theme-ubuntu (0.27) karmic; urgency=low

  * debian/copyright: Update to new Canonical approved trademark clause, which
    puts back a license (CC-BY-SA) to the artwork. (LP: #451263)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 15 Oct 2009 11:37:28 +0200

usplash-theme-ubuntu (0.26) karmic; urgency=low

  * debian/copyright: Update to CC-BY-SA 3.0 as per Canonical Ltd.'s (the
    copyright holder) decision. Add some explanatory text about the trademark
    policy.
  * usplash-theme-ubuntu.c: Comment out the previous progress bar drawing
    functions and replace them with empty stubs. With the boot time
    reorganization, we do not want the progress bar any more.
  * Drop the old logos and replace them with Mat Tomaszewski's new logos.
    Recalculate the image offsets for all themes and update the palette
    indexes for the text color.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 23 Sep 2009 22:13:23 +0200

usplash-theme-ubuntu (0.25) karmic; urgency=low

  * debian/copyright: Clarify which parts are GPL (*.c files) and which are
    CC-BY-SA (*.png files).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 15 Sep 2009 13:57:38 +0200

usplash-theme-ubuntu (0.24) karmic; urgency=low

  [ Kenneth Wimer ]
  * Correcting text box placement values and resolution for some configs
    entries to fix LP: #401432

 -- Loïc Minier <loic.minier@ubuntu.com>  Wed, 05 Aug 2009 12:17:01 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: misc
 Maintainer: Dennis Kaarsemaker <dennis@ubuntu.com>
 Standards-Version: 3.7.2
-Build-Depends: debhelper (>= 5.0.0), libusplash-dev (>= 0.5.30), quilt
+Build-Depends: debhelper (>= 5.0.0), libusplash-dev (>= 0.5.30)
 Vcs-Bzr: http://bazaar.launchpad.net/%7Eubuntu-core-dev/usplash-theme-ubuntu/ubuntu/
 
 Package: usplash-theme-ubuntu
